Qwt User's Guide: QwtPolarLayout Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
QwtPolarLayout Class Reference

Layout class for QwtPolarPlot. More...

`#include <qwt_polar_layout.h>`

## Public Types
enum | Option { IgnoreScrollbars = 0x01 , IgnoreFrames = 0x02 , IgnoreTitle = 0x04 , IgnoreLegend = 0x08 }
| Options to configure the plot layout engine. More...
typedef QFlags< Option > | Options

## Public Member Functions
| QwtPolarLayout ()
| Constructor.
virtual | ~QwtPolarLayout ()
| Destructor.
void | setLegendPosition (QwtPolarPlot::LegendPosition pos, double ratio)
| Specify the position of the legend.
void | setLegendPosition (QwtPolarPlot::LegendPosition pos)
| Specify the position of the legend.
QwtPolarPlot::LegendPosition | legendPosition () const
void | setLegendRatio (double ratio)
double | legendRatio () const
virtual void | activate (const QwtPolarPlot *, const QRectF &rect, Options options=Options())
| Recalculate the geometry of all components.
virtual void | invalidate ()
const QRectF & | titleRect () const
const QRectF & | legendRect () const
const QRectF & | canvasRect () const

## Protected Member Functions
QRectF | layoutLegend (Options options, QRectF &) const

## Detailed Description

Layout class for QwtPolarPlot.

Organizes the geometry for the different QwtPolarPlot components. It is used by the QwtPolar widget to organize its internal widgets or by QwtPolarRnderer to render its content to a QPaintDevice like a QPrinter, QPixmap/QImage or QSvgRenderer.

Definition at line 23 of file qwt_polar_layout.h.

## Member Typedef Documentation

## ◆ Options

typedef QFlags<Option > QwtPolarLayout::Options

An ORed combination of Option values.

Definition at line 43 of file qwt_polar_layout.h.

## Member Enumeration Documentation

## ◆ Option

enum QwtPolarLayout::Option

Options to configure the plot layout engine.

Enumerator
IgnoreScrollbars | Ignore the dimension of the scrollbars.
IgnoreFrames | Ignore all frames.
IgnoreTitle | Ignore the title.
IgnoreLegend | Ignore the legend.

Definition at line 28 of file qwt_polar_layout.h.

## Constructor & Destructor Documentation

## ◆ QwtPolarLayout()

QwtPolarLayout::QwtPolarLayout | ( |  | ) |
| explicit

Constructor.

Definition at line 114 of file qwt_polar_layout.cpp.

## ◆ ~QwtPolarLayout()

QwtPolarLayout::~QwtPolarLayout | ( |  | ) |
| virtual

Destructor.

Definition at line 123 of file qwt_polar_layout.cpp.

## Member Function Documentation

## ◆ activate()

void QwtPolarLayout::activate | ( | const QwtPolarPlot * | plot,
|  | const QRectF & | boundingRect,
|  | Options | options = Options() )
| virtual

Recalculate the geometry of all components.

Parameters

  plot | Plot to be layout
  boundingRect | Rect where to place the components
  options | Options

See also
  invalidate(), titleRect(), legendRect(), canvasRect()

Definition at line 344 of file qwt_polar_layout.cpp.

## ◆ canvasRect()

const QRectF & QwtPolarLayout::canvasRect | ( |  | ) | const

Returns
  Geometry for the canvas

See also
  activate(), invalidate()

Definition at line 248 of file qwt_polar_layout.cpp.

## ◆ invalidate()

void QwtPolarLayout::invalidate | ( |  | ) |
| virtual

Invalidate the geometry of all components.

See also
  activate()

Definition at line 257 of file qwt_polar_layout.cpp.

## ◆ layoutLegend()

QRectF QwtPolarLayout::layoutLegend | ( | Options | options,
|  | QRectF & | rect ) const
| protected

Find the geometry for the legend

Parameters

  options | Options how to layout the legend
  rect | Rectangle where to place the legend

Returns
  Geometry for the legend

Definition at line 269 of file qwt_polar_layout.cpp.

## ◆ legendPosition()

QwtPolarPlot::LegendPosition QwtPolarLayout::legendPosition | ( |  | ) | const

Returns
  Position of the legend

See also
  setLegendPosition(), QwtPolarPlot::setLegendPosition(), QwtPolarPlot::legendPosition()

Definition at line 196 of file qwt_polar_layout.cpp.

## ◆ legendRatio()

double QwtPolarLayout::legendRatio | ( |  | ) | const

Returns
  The relative size of the legend in the plot.

See also
  setLegendPosition()

Definition at line 219 of file qwt_polar_layout.cpp.

## ◆ legendRect()

const QRectF & QwtPolarLayout::legendRect | ( |  | ) | const

Returns
  Geometry for the legend

See also
  activate(), invalidate()

Definition at line 239 of file qwt_polar_layout.cpp.

## ◆ setLegendPosition() [1/2]

void QwtPolarLayout::setLegendPosition | ( | QwtPolarPlot::LegendPosition | pos | ) |

Specify the position of the legend.

Parameters

  pos | The legend's position. Valid values are `QwtPolarPlot::LeftLegend`, `QwtPolarPlot::RightLegend`, `QwtPolarPlot::TopLegend`, `QwtPolarPlot::BottomLegend`.

See also
  QwtPolarPlot::setLegendPosition()

Definition at line 186 of file qwt_polar_layout.cpp.

## ◆ setLegendPosition() [2/2]

void QwtPolarLayout::setLegendPosition | ( | QwtPolarPlot::LegendPosition | pos,
|  | double | ratio )

Specify the position of the legend.

Parameters

  pos | The legend's position.
  ratio | Ratio between legend and the bounding rect of title, canvas and axes. The legend will be shrunk if it would need more space than the given ratio. The ratio is limited to ]0.0 .. 1.0]. In case of <= 0.0 it will be reset to the default ratio. The default vertical/horizontal ratio is 0.33/0.5.

See also
  QwtPolarPlot::setLegendPosition()

Definition at line 141 of file qwt_polar_layout.cpp.

## ◆ setLegendRatio()

void QwtPolarLayout::setLegendRatio | ( | double | ratio | ) |

Specify the relative size of the legend in the plot

Parameters

  ratio | Ratio between legend and the bounding rect of title, canvas and axes. The legend will be shrunk if it would need more space than the given ratio. The ratio is limited to ]0.0 .. 1.0]. In case of <= 0.0 it will be reset to the default ratio. The default vertical/horizontal ratio is 0.33/0.5.

Definition at line 210 of file qwt_polar_layout.cpp.

## ◆ titleRect()

const QRectF & QwtPolarLayout::titleRect | ( |  | ) | const

Returns
  Geometry for the title

See also
  activate(), invalidate()

Definition at line 229 of file qwt_polar_layout.cpp.